org.apache.poi.poifs.crypt.standard

## Class StandardEncryptor.StandardCipherOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.poi.poifs.crypt.standard.StandardEncryptor.StandardCipherOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, POIFSWriterListener
  Enclosing class:
    StandardEncryptor

      protected class StandardEncryptor.StandardCipherOutputStream
      extends java.io.FilterOutputStream
      implements POIFSWriterListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `countBytes`
    `protected DirectoryNode` | `dir`
    `protected java.io.File` | `fileOut`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StandardCipherOutputStream(DirectoryNode dir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `processPOIFSWriterEvent(POIFSWriterEvent event)` Process a POIFSWriterEvent that this listener had registered for
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.FilterOutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### countBytes

          protected long countBytes

    - #### fileOut

          protected final java.io.File fileOut

    - #### dir

          protected final DirectoryNode dir

  - ### Constructor Detail

    - #### StandardCipherOutputStream

          protected StandardCipherOutputStream(DirectoryNode dir)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### processPOIFSWriterEvent

          public void processPOIFSWriterEvent(POIFSWriterEvent event)

      Description copied from interface: `POIFSWriterListener`
      Process a POIFSWriterEvent that this listener had registered for
      Specified by:
        `processPOIFSWriterEvent` in interface `POIFSWriterListener`
      Parameters:
        `event` - the POIFSWriterEvent

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.